<?php

class Migration_20250809213001_alter_ftp_creds_tbl
{
    public static function up(PDO $pdo)
    {
        $pdo->exec("
            ALTER TABLE ftp_credentials
            ADD COLUMN role ENUM('camera', 'snapshot') NOT NULL DEFAULT 'camera'
            AFTER ftp_password
        ");
    }

    public static function down(PDO $pdo)
    {
        $pdo->exec("
            ALTER TABLE ftp_credentials
            DROP COLUMN role
        ");
    }
}
